### Class

# GimpUi CellRendererColor

#### Description [src]

    final class GimpUi.CellRendererColor : Gtk.CellRenderer
    {
      /* No available fields */
    }

A `GtkCellRenderer` to display a `GeglColor` color.

#### Hierarchy

#### Ancestors

- GtkCellRenderer
- GInitiallyUnowned
- GObject

#### Constructors

###### gimp_cell_renderer_color_new

Creates a `GtkCellRenderer` that displays a color.

since: 2.2

#### Instance methods

##### Methods inherited from GtkCellRenderer (24)

Please see GtkCellRenderer for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GimpUi.CellRendererColor:color

No description available.

###### GimpUi.CellRendererColor:icon-size

No description available.

###### GimpUi.CellRendererColor:opaque

No description available.

##### Properties inherited from GtkCellRenderer (16)

###### Gtk.CellRenderer:cell-background

No description available.

###### Gtk.CellRenderer:cell-background-gdk

Cell background as a `GdkColor`.

###### Gtk.CellRenderer:cell-background-rgba

Cell background as a `GdkRGBA`.

###### Gtk.CellRenderer:cell-background-set

No description available.

###### Gtk.CellRenderer:editing

No description available.

###### Gtk.CellRenderer:height

No description available.

###### Gtk.CellRenderer:is-expanded

No description available.

###### Gtk.CellRenderer:is-expander

No description available.

###### Gtk.CellRenderer:mode

No description available.

###### Gtk.CellRenderer:sensitive

No description available.

###### Gtk.CellRenderer:visible

No description available.

###### Gtk.CellRenderer:width

No description available.

###### Gtk.CellRenderer:xalign

No description available.

###### Gtk.CellRenderer:xpad

No description available.

###### Gtk.CellRenderer:yalign

No description available.

###### Gtk.CellRenderer:ypad

No description available.

#### Signals

##### Signals inherited from GtkCellRenderer (2)

###### GtkCellRenderer::editing-canceled

This signal gets emitted when the user cancels the process of editing a cell. For example, an editable cell renderer could be written to cancel editing when the user presses Escape.

###### GtkCellRenderer::editing-started

This signal gets emitted when a cell starts to be edited. The intended use of this signal is to do special setup on `editable`, e.g. adding a `GtkEntryCompletion` or setting up additional columns in a `GtkComboBox`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpUiCellRendererColorClass {
      GtkCellRendererClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkCellRendererClass`

  No description available.